Compiling from 710 sources

From LinuxMCE
Jump to: navigation, search

this is just an how-to about compiling for the 710 version.

when to?

when you want to compile for the 710 version. you may compile with other sources but..well, you may not too.<br /< this is mor or less a memanto for myself, since i am compiling from 710


i am filling it when i see new requirements you must be connected on your development station. you need an acces to a 710 working station.


install them with apt-get:

sudo apt-get install asterisk-dev autoconf automake automake1.10 autotools-dev build-essential cdw debhelper \
debootstrap dh-make dmsetup fakeroot fuse-utils g++ libaa1-dev libattr1-dev libavcodec-dev libavformat-dev \
libbluetooth2-dev libcaca-dev libcddb-dev libcdio-dev libcdparanoia0-dev libconfuse-dev libcurl3-dev libdancer-xml0-dev \
libdbus-1-dev libdbus-glib-1-dev libdirectfb-dev libdvdread-dev libesd0-dev libfuse-dev libglade2-dev libgnomevfs2-dev \
libgtk2.0-dev libhal-dev libhid-dev libid3-3.8.3-dev libjpeg62-dev liblinphone1-dev liblircclient-dev libmad0-dev \
libmediastreamer0-dev libmodplug-dev libmpcdec-dev libpostproc-dev libqt3-compat-headers libqt3-headers libqt3-mt-dev \
libsdl-gfx1.2-dev libsdl-image1.2-dev libsdl-sge-dev libsdl-ttf2.0-dev libsdl1.2-dev libstdc++5 libsvga1-dev libtcltk-ruby \
libtheora-dev libupnp-dev libusb-dev libvte-dev libx11-dev libxcb-shape0-dev libxcb-shm0-dev libxcb-xv0-dev libxine-dev \
libxmu-headers libxrender-dev libxtst-dev mkisofs module-assistant mysql-client mysql-server nasm qt3-apps-dev \
qt3-assistant qt3-designer qt3-dev-tools qt3-dev-tools-compat qt3-dev-tools-embedded qt3-linguist qt3-qtconfig quilt \
ruby1.8-dev sgmltools-lite squashfs-tools subversion swig tcl8.4-dev transfig x-dev x11proto-core-dev x11proto-record-dev \
x11proto-xext-dev x11proto-xf86vidmode-dev xorg-dev libdvb-dev libavc1394-dev liblame-dev libiec61883-dev libdvdnav-dev \
libimlib2-dev texi2html ccache libtag1-dev libmysqlclient15-dev

this will take some time..


when you are in the folder you want the sources to be into, type

svn co

this is gonna take a while..


copy every file from /usr/pluto/lib from you working station to your dev station in <srcpath>/src/lib. basically, if you're compiling on your core, and you placed yourself in your sources dir, just type

cp /usr/pluto/lib/* src/lib/

then launch the command for removing the makefile args:

find . -iname Makefile -exec sed -e 's/<-mkr_t_compile_defines->/-DKDE_LMCE -DDEBUG -DTHREAD_LOG -DLOG_ALL_QUERIES -I\/opt\/libxine1-pluto\/include -I\/opt\/libsdl1.2-1.2.7+1.2.8cvs20041007\/include -I\/opt\/libsdl1.2-1.2.7+1.2.8cvs20041007\/include\/SD/' -i '{}' \;
find . -iname Makefile -exec sed -e 's/<-mkr_t_compile_libs->/-L\/opt\/libxine1-pluto\/lib -L\/opt\/libsdl1.2-1.2.7+1.2.8cvs20041007\/lib/' -i '{}' \;

finally launch make from the src/ directory


if you have an issue with the file File_Grids_Plugin.cpp open it(kate src/File_Grids_Plugin/File_Grids_Plugins.cpp) and replace the line 450:

false, /* resume */, 0 /* repeat */,
false, /* bypass events */
false /* dont setup av */);


false, 0);

if you have an error:

make: *** Mozilla_Plugin: No such file or directory.  Stop.

open src/makefile and remove "Mozilla_Plugin" at line 5

if you have an error with Security_Plugin.cpp , then open it( src/Security_Plugin/Security_Plugin.cpp ) and remove the

,true, true

at the nearby end of the line

with Telecom_Plugin.cpp you have to edit src/Telecom_Plugin/Telecom_Plugin.cpp:

l2670: remove false, false at the end of the line
l2702: remove false, false at the end of the line

with Orbiter/ScreenHandler.cpp you have to edit src/Orbiter/ScreenHandler.cpp and remove the "false, false" at the end of lines

319, 536, 2954, 3131, 3141